Am 15.09.2016 um 19:58 schrieb Andreas Metzler:
> Package: gtk-doc-tools
> Version: 1.25-4
> Severity: serious
> 
> gtk-doc-tools in experimental is lacking a dependency on pkg-config,
> GTK_DOC_CHECK will fail if it is missing.
> 
> -------------------------------
> AC_DEFUN([GTK_DOC_CHECK],
> [
>   AC_REQUIRE([PKG_PROG_PKG_CONFIG])
> -------------------------------
> 
> This only applies to experimental, sid fullfils this via the gnome-core
> dependency.

This was requested in the past in #260930:

gtk-doc (1.3-1.1) unstable; urgency=low

...
  * Recommend a sensible version of pkg-config, since gtk-doc-using
    packages will need it, but don't make this a Depends, since
    gtk-doc-tools itself doesn't require it.  (Closes: #260930)


Admittedly, a Recommends is not particularly helpful when it concerns
Build-Depends, as buildds won't consider it.

Strictly speaking, the changelog is correct. Using gtk-doc-tools doesn't
necessarily require using the GTK_DOC_CHECK macro.
On the other hand, basically every package I've seen using gtk-doc-tools
does actually use this macro.
So bumping Recommends: gtk-doc-tools to Depends: gtk-doc-tools is
probably justified.




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to